# Generated by the protocol buffer compiler.  DO NOT EDIT!
# Source: google/cloud/websecurityscanner/v1beta/web_security_scanner.proto for package 'Google.Cloud.WebSecurityScanner.V1beta'
# Original file comments:
# Copyright 2019 Google LLC.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
#

require 'grpc'
require 'google/cloud/websecurityscanner/v1beta/web_security_scanner_pb'

module Google
  module Cloud
    module WebSecurityScanner
      module V1beta
        module WebSecurityScanner
          # Cloud Web Security Scanner Service identifies security vulnerabilities in web
          # applications hosted on Google Cloud Platform. It crawls your application, and
          # attempts to exercise as many user inputs and event handlers as possible.
          class Service

            include ::GRPC::GenericService

            self.marshal_class_method = :encode
            self.unmarshal_class_method = :decode
            self.service_name = 'google.cloud.websecurityscanner.v1beta.WebSecurityScanner'

            # Creates a new ScanConfig.
            rpc :CreateScanConfig, ::Google::Cloud::WebSecurityScanner::V1beta::CreateScanConfigRequest, ::Google::Cloud::WebSecurityScanner::V1beta::ScanConfig
            # Deletes an existing ScanConfig and its child resources.
            rpc :DeleteScanConfig, ::Google::Cloud::WebSecurityScanner::V1beta::DeleteScanConfigRequest, ::Google::Protobuf::Empty
            # Gets a ScanConfig.
            rpc :GetScanConfig, ::Google::Cloud::WebSecurityScanner::V1beta::GetScanConfigRequest, ::Google::Cloud::WebSecurityScanner::V1beta::ScanConfig
            # Lists ScanConfigs under a given project.
            rpc :ListScanConfigs, ::Google::Cloud::WebSecurityScanner::V1beta::ListScanConfigsRequest, ::Google::Cloud::WebSecurityScanner::V1beta::ListScanConfigsResponse
            # Updates a ScanConfig. This method support partial update of a ScanConfig.
            rpc :UpdateScanConfig, ::Google::Cloud::WebSecurityScanner::V1beta::UpdateScanConfigRequest, ::Google::Cloud::WebSecurityScanner::V1beta::ScanConfig
            # Start a ScanRun according to the given ScanConfig.
            rpc :StartScanRun, ::Google::Cloud::WebSecurityScanner::V1beta::StartScanRunRequest, ::Google::Cloud::WebSecurityScanner::V1beta::ScanRun
            # Gets a ScanRun.
            rpc :GetScanRun, ::Google::Cloud::WebSecurityScanner::V1beta::GetScanRunRequest, ::Google::Cloud::WebSecurityScanner::V1beta::ScanRun
            # Lists ScanRuns under a given ScanConfig, in descending order of ScanRun
            # stop time.
            rpc :ListScanRuns, ::Google::Cloud::WebSecurityScanner::V1beta::ListScanRunsRequest, ::Google::Cloud::WebSecurityScanner::V1beta::ListScanRunsResponse
            # Stops a ScanRun. The stopped ScanRun is returned.
            rpc :StopScanRun, ::Google::Cloud::WebSecurityScanner::V1beta::StopScanRunRequest, ::Google::Cloud::WebSecurityScanner::V1beta::ScanRun
            # List CrawledUrls under a given ScanRun.
            rpc :ListCrawledUrls, ::Google::Cloud::WebSecurityScanner::V1beta::ListCrawledUrlsRequest, ::Google::Cloud::WebSecurityScanner::V1beta::ListCrawledUrlsResponse
            # Gets a Finding.
            rpc :GetFinding, ::Google::Cloud::WebSecurityScanner::V1beta::GetFindingRequest, ::Google::Cloud::WebSecurityScanner::V1beta::Finding
            # List Findings under a given ScanRun.
            rpc :ListFindings, ::Google::Cloud::WebSecurityScanner::V1beta::ListFindingsRequest, ::Google::Cloud::WebSecurityScanner::V1beta::ListFindingsResponse
            # List all FindingTypeStats under a given ScanRun.
            rpc :ListFindingTypeStats, ::Google::Cloud::WebSecurityScanner::V1beta::ListFindingTypeStatsRequest, ::Google::Cloud::WebSecurityScanner::V1beta::ListFindingTypeStatsResponse
          end

          Stub = Service.rpc_stub_class
        end
      end
    end
  end
end
